Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.io
Class DynamicBuffer

    java.lang.Object
      com.sshtools.j2ssh.io.DynamicBuffer

public class DynamicBuffer
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected byte[]` | `buf` DOCUMENT ME!
`protected static int` | `DEFAULT_BUFFER_SIZE` DOCUMENT ME!
`protected java.io.InputStream` | `in` DOCUMENT ME!
`protected java.io.OutputStream` | `out` DOCUMENT ME!
`protected int` | `readpos` DOCUMENT ME!
`protected int` | `writepos` DOCUMENT ME!

Constructor Summary
`DynamicBuffer()` Creates a new DynamicBuffer object.

Method Summary
`void` | `flush()` DOCUMENT ME!
`java.io.InputStream` | `getInputStream()` DOCUMENT ME!
`java.io.OutputStream` | `getOutputStream()` DOCUMENT ME!
`int` | `read()` DOCUMENT ME!
`int` | `read(byte[] data, int offset, int len)` DOCUMENT ME!
`void` | `write(byte[] data, int offset, int len)` DOCUMENT ME!
`void` | `write(int b)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUFFER_SIZE

    protected static final int DEFAULT_BUFFER_SIZE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### buf

    protected byte[] buf

  DOCUMENT ME!

### writepos

    protected int writepos

  DOCUMENT ME!

### readpos

    protected int readpos

  DOCUMENT ME!

### in

    protected java.io.InputStream in

  DOCUMENT ME!

### out

    protected java.io.OutputStream out

  DOCUMENT ME!

Constructor Detail

### DynamicBuffer

    public DynamicBuffer()

  Creates a new DynamicBuffer object.

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getOutputStream

    public java.io.OutputStream getOutputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### write

    public void write(int b)

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!

### write

    public void write(byte[] data,
                      int offset,
                      int len)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### read

    public int read()
             throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### read

    public int read(byte[] data,
                    int offset,
                    int len)
             throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### flush

    public void flush()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD